import { Sequelize } from 'sequelize';

const sequenceNumber = {
    model: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    maxSequenceNumber: {
        type: Sequelize.INTEGER,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'sequenceNumber',
        sequenceNumber,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};