import { Sequelize } from 'sequelize';

const volumePrice = {
	supplyLineId: {
		type: Sequelize.STRING,
		primaryKey: true,
	},
	unit: {
		type: Sequelize.STRING,
		primaryKey: true,
	},
	pricePerPiece: {
		type: Sequelize.DECIMAL(10,2),
		primaryKey: true,
	},
};

export default (sequelize) => {
	return sequelize.define(
		'supplyLineVolumePrice',
		volumePrice, {
			timestamps: false,
			freezeTableName: true,
		}
	);
};