import { Sequelize } from 'sequelize';

const characteristic = {
    tradeItemId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    vbnCode: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    vbnValueCode: {
        type: Sequelize.STRING,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'tradeItemCharacteristic',
        characteristic,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};
