import { Sequelize } from 'sequelize';

const packageModel = {
    packingConfigurationId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    vbnPackageCode: {
        type: Sequelize.INTEGER,
        primaryKey: true,
    },
    customPackageId: {
        type: Sequelize.STRING,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'tradeItemPackingConfigurationPackage',
        packageModel,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};
