import { Sequelize } from 'sequelize';

const seasonalPeriod = {
    tradeItemId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    startWeek: {
        type: Sequelize.INTEGER,
        primaryKey: true,
    },
    endWeek: {
        type: Sequelize.INTEGER,
        primaryKey: true,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'tradeItemSeasonalPeriod',
        seasonalPeriod,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};
