# Floriday
The project aims to develop an automated solution to retrieve and import Floramondo's offers into our system. Floramondo is a renowned platform for flower and plant commerce, offering a wide range of high-quality products. Our goal is to efficiently gather Floramondo's offers and seamlessly transfer the data to our system, preserving the original structure and format to facilitate future interpretation.

We turn flowers into data! :D

## Requeriments

* Git
* Nodejs (v15.14.0 or higher)
* Docker (Optional, used to manage local server)

## Installation

Pull from repository.
```
$ git clone https://gitea.verdnatura.es/guillermo/floriday.git
```

Run this commands on project root directory to install Node dependencies.

```
$ npm install
```

Copy *.env_template*, put the name *.env* and configure it.

## How to run
Execute this command in project path.
```
$ node main
```

## Built With

* [Git](https://git-scm.com/)
* [Nodejs](https://nodejs.org/)
* [Sequalize](https://sequelize.org/)
* [Docker](https://www.docker.com/)