import Floriday from './floriday.js';

async function main() {
	const floriday = new Floriday();
	process.on('SIGINT', async () => {
		await floriday.stop();
		process.exit();
	});
	await floriday.start();

	try {
		await floriday.schedule()
	} catch (err) {
		await floriday.tryConn();
	}
}
main();