import { Sequelize } from 'sequelize';

const botanicalName = {
	botanicalNameId: {
		type: Sequelize.STRING,
		primaryKey: true,
	},
	name: {
		type: Sequelize.STRING,
	},
	tradeItemId: {
		type: Sequelize.STRING,
	},
};

export default (sequelize) => {
	return sequelize.define(
		'tradeItemBotanicalName',
		botanicalName, {
			timestamps: false,
			freezeTableName: true,
		}
	);
};