import { Sequelize } from 'sequelize';

const countryOfOriginIsoCode = {
    tradeItemId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    isoCode: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'tradeItemCountryOfOriginIsoCodes',
        countryOfOriginIsoCode,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};
